/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.binding.soap.listener.incoming.jetty;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class HTTPSKeystoreConfig {
    public String httpsKeystoreKeyPassword;

    public String httpsKeystorePassword;

    public String httpsKeystoreFile;

    public String httpsKeystoreType;

    public HTTPSKeystoreConfig(String httpsKeystoreKeyPassword, String httpsKeystorePassword,
            String httpsKeystoreFile, String httpsKeystoreType) {
        super();
        this.httpsKeystoreKeyPassword = httpsKeystoreKeyPassword;
        this.httpsKeystorePassword = httpsKeystorePassword;
        this.httpsKeystoreFile = httpsKeystoreFile;
        this.httpsKeystoreType = httpsKeystoreType;
    }

    /**
     * @return the httpsKeystoreKeyPassword
     */
    public String getHttpsKeystoreKeyPassword() {
        return httpsKeystoreKeyPassword;
    }

    /**
     * @return the httpsKeystorePassword
     */
    public String getHttpsKeystorePassword() {
        return httpsKeystorePassword;
    }

    /**
     * @return the httpsKeystoreFile
     */
    public String getHttpsKeystoreFile() {
        return httpsKeystoreFile;
    }

    /**
     * @return the httpsKeystoreType
     */
    public String getHttpsKeystoreType() {
        return httpsKeystoreType;
    }
}
